[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.Anchors

The set of anchor definitions for this control

## Declaration

Source position: controls.pp line 1373

`public property TControl.Anchors: TAnchors read FAnchors write SetAnchors stored IsAnchorsStored default [akLeft,akTop];`

## Description

// standard properties, which should be supported by all descendants

Determines how the control is to be anchored to its client or parent conrol

Either reads a flag containing the set of anchors to be used, or writes a set of anchors. If they have been written, this is indicated in IsAnchorsStored

## See also

#lcl.Controls.TAnchors |  | Set of possible anchor positions

The latest version of this document can be found at lazarus-ccr.sourceforge.net .